%define upstream_name MooseX-Util
%define upstream_version 0.006

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Moose::Util extensions
License:	LGPLv2
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(aliased)
BuildRequires:	perl(autobox::Core)
BuildRequires:	perl(MooseX::AttributeShortcuts)
BuildRequires:	perl(MooseX::TraitFor::Meta::Class::BetterAnonClassNames)
BuildRequires:	perl(namespace::autoclean)
BuildRequires:	perl(Test::CheckDeps)
BuildRequires:	perl(Test::Moose::More)
BuildRequires:	perl(Test::Requires)

BuildArch:	noarch

%description
This is a utility module that handles all of the same functions that
Moose::Util handles. In fact, most of the functions exported by this
package are simply re-exports from Moose::Util, so you're recommended to
read the documentation of that module for a comprehensive view.

However.

We've reimplemented a number of the functions our parent provides, for a
variety of reasons.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-3.mga6
+ Revision: 1030712
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.6.0-2.mga6
+ Revision: 966612
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.6.0-1.mga6
+ Revision: 846201
- update to 0.006

* Sat Jun 27 2015 sander85 <sander85> 0.5.0-1.mga6
+ Revision: 845965
- update to 0.005

* Sat Oct 18 2014 umeabot <umeabot> 0.3.0-4.mga5
+ Revision: 787968
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 745452
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri May 23 2014 sander85 <sander85> 0.3.0-1.mga5
+ Revision: 625161
- update to 0.003

* Fri May 02 2014 sander85 <sander85> 0.2.0-1.mga5
+ Revision: 619497
- imported package perl-MooseX-Util

